## retinex retinex |

## Properties

GstRetinexMethod | method | Read / Write
gint | scales | Read / Write

## Types and Values

struct | GstRetinex

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstOpencvVideoFilter
                                ╰── GstRetinex

## Description

Basic and multiscale retinex for colour image enhancement, see article:

Rahman, Zia-ur, Daniel J. Jobson, and Glenn A. Woodell. "Multi-scale retinex for color image enhancement." Image Processing, 1996. Proceedings., International Conference on. Vol. 3. IEEE, 1996.

### Example launch line

    1
    gst-launch-1.0 videotestsrc ! decodebin ! videoconvert ! retinex ! videoconvert ! xvimagesink

## Synopsis

### Element Information

plugin | opencv
author | Miguel Casas-Sanchez <miguelecasassanchez@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstRetinex

    struct GstRetinex;

## Property Details

### The `“method”` property

      “method”                   GstRetinexMethod

Retinex method to use.

Flags: Read / Write

Default value: Basic retinex restoration

### The `“scales”` property

      “scales”                   gint

Amount of gaussian filters (scales) used in multiscale retinex.

Flags: Read / Write

Allowed values: [1,4]

Default value: 3